vim.g.mapleader = ' '

vim.opt.clipboard = 'unnamedplus'

vim.opt.hlsearch = false
vim.opt.incsearch = true
vim.opt.ignorecase = true

vim.opt.mouse = 'nv'
vim.opt.smartcase = true
vim.opt.linebreak = true

vim.opt.smartindent = true

vim.opt.swapfile = false
vim.opt.backup = false
vim.opt.undodir = vim.fn.expand('~/.cache/nvim/undodir')
vim.opt.undofile = true

vim.opt.encoding = 'utf-8'
vim.opt.number = true
vim.opt.relativenumber = true

vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.expandtab = true
vim.opt.shiftwidth = 4
vim.opt.smarttab = true

vim.opt.scrolloff = 8
vim.opt.signcolumn = 'yes'
vim.opt.isfname:append('@-@')

vim.opt.pumheight = 10

vim.opt.updatetime = 50

vim.opt.colorcolumn = "80"
vim.opt.cursorline = true

vim.opt.formatoptions = 'tqj'

vim.opt.splitbelow = true
vim.opt.splitright = true
vim.opt.diffopt:append('vertical')

vim.opt.termguicolors = true
